Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Search

    java.lang.Object

      |

      +--oracle.ifs.beans.Search

public final class Search
extends java.lang.Object

The `Search` class provides a way to execute a Search. A Search is specified by a SearchSpecification. To execute a Search use the open, next & close functions.

See Also:
  `SearchSpecification`, `AttributeSearchSpecification`, `ContextSearchSpecification`

Constructor Summary
`` | `Search(LibrarySession sess, SearchSpecification sp)` Constructs a Search object.

Method Summary
`SearchSpecification` | `getSearchSpecification()` Returns the SearchSpecification of this Search.
`void` | `open()` Opens the Search.
`void` | `open(AttributeValue[] bindValues)` Opens the search.
`void` | `open(AttributeValue[] bindValues, java.lang.String language)` Opens the search.
`void` | `open(java.lang.String language)` Opens the serach.
`void` | `setSearchSpecification(SearchSpecification sp)` Change the SearchSpecification.

Constructor Detail

### Search

    public Search(LibrarySession sess,
                  SearchSpecification sp)
           throws IfsException

  Constructs a Search object. The SearchSpecification and LibrarySession must be provided.
  Parameters:
    `sess` - LibrarySession in which Search will execute.
    `sp` - SearchSpecification defining Search. The SearchSpecification is cloned, any changes in SearchSpecification after constructing a Search will not be picked up.
  Throws:
    `IfsException` - 21000 if sess is not valid
    `IfsException` - 19001 if sp is not valid

Method Detail

### setSearchSpecification

    public void setSearchSpecification(SearchSpecification sp)
                                throws IfsException

  Change the SearchSpecification. Exisitng cached items and cursors are closed.
  Parameters:
    `sp` - SearchSpecification defining Search. The SearchSpecification is cloned, any changes in SearchSpecification after constructing a Search will not be picked up.
  Throws:
    `IfsException` - 19001 if sp is not valid

### getSearchSpecification

    public SearchSpecification getSearchSpecification()
                                               throws IfsException

  Returns the SearchSpecification of this Search. For saved searches, this operation will get the SearchSpecification from the server side.
  Returns:
    the SearchSpecification
  Throws:
    `IfsException` - in case of saved searches, if retrival from server-side fails.

### open

    public void open()
              throws IfsException

  Opens the Search. This executes the Search and sets the cursor to the top of the ResultSet. Calls open(null, null). Assumes no bind values and language defaults to the sessions default.
  Throws:
    `IfsException` - if open fails.
  See Also:
    `open(AttributeValue[], String)`

### open

    public void open(java.lang.String language)
              throws IfsException

  Opens the serach. Calls open(null, language). This allows a particular language to be used for searches.
  Parameters:
    `langauge` - language to be used for search
  Throws:
    `IfsException` - if open fails

### open

    public void open(AttributeValue[] bindValues)
              throws IfsException

  Opens the search. Users can specify the bind values. Default language will be used. Calls open(bindValues, null).
  Parameters:
    `bindValues` - array of late bound values

### open

    public void open(AttributeValue[] bindValues,
                     java.lang.String language)
              throws IfsException

  Opens the search. Users can specify the bind values and language.
  Parameters:
    `bindValues` - array of late bound values
    `language` - language to be used for the search

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD